_Evas_Event_Key_Down Struct Reference
Evas » Canvas Functions » Canvas Events

Key press event. More...

`#include <Evas_Legacy.h>`

## Data Fields

char * | keyname
| the name string of the key pressed
void * | data
Evas_Modifier * | modifiers
| modifier keys pressed during the event
Evas_Lock * | locks
const char * | key
| The logical key : (eg shift+1 == exclamation).
const char * | string
| A UTF8 string if this keystroke has produced a visible string to be ADDED.
const char * | compose
| A UTF8 string if this keystroke has modified a string in the middle of being composed - this string replaces the previous one.
unsigned int | timestamp
Evas_Event_Flags | event_flags
Evas_Device * | dev
unsigned int | keycode
| Key scan code numeric value.

## Detailed Description

Key press event.

## Field Documentation

## keycode

unsigned int _Evas_Event_Key_Down::keycode

Key scan code numeric value.

Since
  1.10

Referenced by ecore_imf_evas_event_key_down_wrap().